package com.sillycycle.bagleyd.hexagons;

/*
 * @(#)HexagonsInterface.java
 *
 * Copyright 1994 - 2022  David A. Bagley, bagleyd AT verizon.net
 *
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted,
 * provided that the above copyright notice appear in all copies and
 * that both that copyright notice and this permission notice appear in
 * supporting documentation, and that the name of the author not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.
 *
 * This program is distributed in the hope that it will be "useful",
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

/**
 * The <code>HexagonsInterface</code> class contains most of the
 * constants used by the <code>HexagonsFrame</code> class.
 *
 * @author	David A. Bagley
 * @author	bagleyd AT verizon.net
 * @author	https://www.sillycycle.com/puzzles.html
 */

public class HexagonsInterface {

	static final int ACTION_RESTORE = 106;
	static final int ACTION_RESET = 107;
	static final int ACTION_AMBIGUOUS = 108;
	static final int ACTION_BLOCKED = 109;
	static final int ACTION_SPACE = 110;
	static final int ACTION_MOVED = 111;
	static final int ACTION_CONTROL = 112;
	static final int ACTION_SOLVED = 113;
	static final int ACTION_COMPUTED = 114;
	static final int ACTION_UNDO = 200;
	static final int ACTION_REDO = 201;
	static final int ACTION_CLEAR = 202;
	static final int ACTION_RANDOMIZE = 204;
	static final int ACTION_SOLVE = 205;
	static final int ACTION_CORNERS = 206;
	static final int ACTION_SPEED = 208;
	static final int ACTION_SLOW = 209;
	static final int ACTION_SOUND = 210;
	static final int ACTION_INCX = 401;
	static final int ACTION_DECX = 403;
	static final int ACTION_INCY = 402;
	static final int ACTION_DECY = 400;
	static final int ACTION_IGNORE = 999;

	static final int MIN_TILES = 1;
	static final int DEFAULT_TILESX = 3;
	static final int DEFAULT_TILESY = 3;
	static final int NOCORN = 0;
	static final int CORNERS = 1;
	static final int MAX_ORIENT = 2;
	static final boolean DEFAULT_CORNERS = true;
	static final int MIN_BASE = 2; // Base 1 is ridiculous :)
	static final int MAX_BASE = 36; // 10 numbers + 26 letters (ASCII)
	static final int DEFAULT_BASE = 10;

	static final String TITLE = "Hexagons";
	public enum Icons {X16, X22, X24, X32, X48, X64}
	static final String[] ICONS = {"icons/16x16/hexagons.png",
		"icons/22x22/hexagons.png",
		"icons/24x24/hexagons.png",
		"icons/32x32/hexagons.png",
		"icons/48x48/hexagons.png",
		"icons/64x64/hexagons.png"};
	public enum Sounds {BUMP}
	static final String[] SOUNDS = {"sounds/bump.wav"};
}
